package com.goldenwater.gx.mapper;

import com.goldenwater.gx.domain.DocDirectory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DocDirectoryMapper {

    List<DocDirectory> selectDirectoryTree();

    List<DocDirectory> selectDirectoryByParentId(@Param("parentId") Long parentId);

    DocDirectory selectDirectoryById(@Param("id") Long id);

    int insertDirectory(DocDirectory directory);

    int updateDirectory(DocDirectory directory);

    int deleteDirectoryById(@Param("id") Long id);

    int countChildByParentId(@Param("parentId") Long parentId);
}
